/* FileChooserDialog.c generated by valac 0.32.0, the Vala compiler
 * generated from FileChooserDialog.vala, do not modify */

/*-
 * Copyright (c) 2015 Pantheon Developers (http://launchpad.net/elementary)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <gtk/gtk.h>
#include <glib/gi18n-lib.h>


#define TYPE_CUSTOM_FILE_CHOOSER_DIALOG (custom_file_chooser_dialog_get_type ())
#define CUSTOM_FILE_CHOOSER_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialog))
#define CUSTOM_FILE_CHOOSER_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialogClass))
#define IS_CUSTOM_FILE_CHOOSER_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CUSTOM_FILE_CHOOSER_DIALOG))
#define IS_CUSTOM_FILE_CHOOSER_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CUSTOM_FILE_CHOOSER_DIALOG))
#define CUSTOM_FILE_CHOOSER_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialogClass))

typedef struct _CustomFileChooserDialog CustomFileChooserDialog;
typedef struct _CustomFileChooserDialogClass CustomFileChooserDialogClass;
typedef struct _CustomFileChooserDialogPrivate CustomFileChooserDialogPrivate;
#define _g_ptr_array_unref0(var) ((var == NULL) ? NULL : (var = (g_ptr_array_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define MARLIN_VIEW_CHROME_TYPE_LOCATION_BAR (marlin_view_chrome_location_bar_get_type ())
#define MARLIN_VIEW_CHROME_LOCATION_BAR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MARLIN_VIEW_CHROME_TYPE_LOCATION_BAR, MarlinViewChromeLocationBar))
#define MARLIN_VIEW_CHROME_LOCATION_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MARLIN_VIEW_CHROME_TYPE_LOCATION_BAR, MarlinViewChromeLocationBarClass))
#define MARLIN_VIEW_CHROME_IS_LOCATION_BAR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MARLIN_VIEW_CHROME_TYPE_LOCATION_BAR))
#define MARLIN_VIEW_CHROME_IS_LOCATION_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MARLIN_VIEW_CHROME_TYPE_LOCATION_BAR))
#define MARLIN_VIEW_CHROME_LOCATION_BAR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MARLIN_VIEW_CHROME_TYPE_LOCATION_BAR, MarlinViewChromeLocationBarClass))

typedef struct _MarlinViewChromeLocationBar MarlinViewChromeLocationBar;
typedef struct _MarlinViewChromeLocationBarClass MarlinViewChromeLocationBarClass;
typedef struct _Block5Data Block5Data;
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
typedef struct _Block6Data Block6Data;
#define _g_slist_free0(var) ((var == NULL) ? NULL : (var = (g_slist_free (var), NULL)))

struct _CustomFileChooserDialog {
	GObject parent_instance;
	CustomFileChooserDialogPrivate * priv;
};

struct _CustomFileChooserDialogClass {
	GObjectClass parent_class;
};

struct _CustomFileChooserDialogPrivate {
	GPtrArray* forward_path_list;
	GeeArrayList* history;
	gchar* previous_path;
};

struct _Block5Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GtkButton* button_back;
	GtkButton* button_forward;
	MarlinViewChromeLocationBar* pathbar;
};

struct _Block6Data {
	int _ref_count_;
	GtkComboBoxText* combo_box;
};


static gpointer custom_file_chooser_dialog_parent_class = NULL;
static GtkFileChooser* custom_file_chooser_dialog_chooser;
static GtkFileChooser* custom_file_chooser_dialog_chooser = NULL;
static GtkFileChooserDialog* custom_file_chooser_dialog_d;
static GtkFileChooserDialog* custom_file_chooser_dialog_d = NULL;
static GtkWidget* custom_file_chooser_dialog_rootwidget;
static GtkWidget* custom_file_chooser_dialog_rootwidget = NULL;
static GtkBox* custom_file_chooser_dialog_container_box;
static GtkBox* custom_file_chooser_dialog_container_box = NULL;
static GtkButton* custom_file_chooser_dialog_gtk_folder_button;
static GtkButton* custom_file_chooser_dialog_gtk_folder_button = NULL;
static gboolean custom_file_chooser_dialog_filters_available;
static gboolean custom_file_chooser_dialog_filters_available = FALSE;
static gchar* custom_file_chooser_dialog_open_path;
static gchar* custom_file_chooser_dialog_open_path = NULL;

GType custom_file_chooser_dialog_get_type (void) G_GNUC_CONST;
#define CUSTOM_FILE_CHOOSER_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialogPrivate))
enum  {
	CUSTOM_FILE_CHOOSER_DIALOG_DUMMY_PROPERTY
};
static void _g_free0_ (gpointer var);
#define CUSTOM_FILE_CHOOSER_DIALOG_BUTTON_RESPONSE -6
#define CUSTOM_FILE_CHOOSER_DIALOG_PLACES_SIDEBAR_PATH "places_sidebar"
#define CUSTOM_FILE_CHOOSER_DIALOG_FILE_PREFIX "file://"
CustomFileChooserDialog* custom_file_chooser_dialog_new (GtkFileChooserDialog* _dialog);
CustomFileChooserDialog* custom_file_chooser_dialog_construct (GType object_type, GtkFileChooserDialog* _dialog);
GType marlin_view_chrome_location_bar_get_type (void) G_GNUC_CONST;
static Block5Data* block5_data_ref (Block5Data* _data5_);
static void block5_data_unref (void * _userdata_);
static void custom_file_chooser_dialog_assign_container_box (void);
static void custom_file_chooser_dialog_setup_filter_box (void);
static void custom_file_chooser_dialog_remove_gtk_widgets (void);
MarlinViewChromeLocationBar* marlin_view_chrome_location_bar_new (GtkWidget* parent);
MarlinViewChromeLocationBar* marlin_view_chrome_location_bar_construct (GType object_type, GtkWidget* parent);
void marlin_view_chrome_location_bar_set_path (MarlinViewChromeLocationBar* self, const gchar* value);
static void ___lambda13_ (CustomFileChooserDialog* self);
static void ____lambda13__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda14_ (CustomFileChooserDialog* self);
static void ___lambda14__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda15_ (Block5Data* _data5_);
static void ___lambda15__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda16_ (Block5Data* _data5_);
static void ___lambda16__gtk_file_chooser_current_folder_changed (GtkFileChooser* _sender, gpointer self);
static void __lambda17_ (CustomFileChooserDialog* self, const gchar* file);
static void ___lambda17__marlin_view_chrome_location_bar_change_to_file (MarlinViewChromeLocationBar* _sender, const gchar* filename, gpointer self);
void custom_file_chooser_dialog_set_open_path (CustomFileChooserDialog* self, const gchar* _open_path);
static void custom_file_chooser_dialog_transform_rootwidget_container (GtkWidget* rootwidget, GtkWidget* w0);
static void custom_file_chooser_dialog_transform_w1_container (GtkWidget* w1);
static void custom_file_chooser_dialog_transform_w2_container (GtkWidget* w2);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
static void ___lambda10_ (Block6Data* _data6_);
static void __lambda11_ (Block6Data* _data6_, GtkFileFilter* filter);
static void ___lambda11__gfunc (gconstpointer data, gpointer self);
static void ____lambda10__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void ___lambda12_ (Block6Data* _data6_, GtkFileFilter* filter);
static void ____lambda12__gfunc (gconstpointer data, gpointer self);
static void custom_file_chooser_dialog_finalize (GObject* obj);

static const gchar* CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[4] = {"widget", "browse_widgets_box", "browse_files_box", "browse_header_box"};
static const gchar* CUSTOM_FILE_CHOOSER_DIALOG_GTK_FILTERCHOOSER_PATH[2] = {"extra_and_filters", "filter_combo_hbox"};
static const gchar* CUSTOM_FILE_CHOOSER_DIALOG_GTK_CREATEFOLDER_BUTTON_PATH[3] = {"browse_header_stack", "browse_path_bar_hbox", "browse_new_folder_button"};

static void _g_free0_ (gpointer var) {
#line 42 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	var = (g_free (var), NULL);
#line 159 "FileChooserDialog.c"
}


static Block5Data* block5_data_ref (Block5Data* _data5_) {
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data5_->_ref_count_);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	return _data5_;
#line 168 "FileChooserDialog.c"
}


static void block5_data_unref (void * _userdata_) {
	Block5Data* _data5_;
	_data5_ = (Block5Data*) _userdata_;
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data5_->_ref_count_)) {
#line 177 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		self = _data5_->self;
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data5_->pathbar);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data5_->button_forward);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data5_->button_back);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block5Data, _data5_);
#line 191 "FileChooserDialog.c"
	}
}


static gpointer _g_object_ref0 (gpointer self) {
#line 52 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 199 "FileChooserDialog.c"
}


static void ___lambda13_ (CustomFileChooserDialog* self) {
	GtkButton* _tmp0_ = NULL;
#line 84 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_gtk_folder_button;
#line 84 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_button_clicked (_tmp0_);
#line 209 "FileChooserDialog.c"
}


static void ____lambda13__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 83 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	___lambda13_ ((CustomFileChooserDialog*) self);
#line 216 "FileChooserDialog.c"
}


static void __lambda14_ (CustomFileChooserDialog* self) {
	GPtrArray* _tmp0_ = NULL;
	GtkFileChooser* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GeeArrayList* _tmp3_ = NULL;
	GeeArrayList* _tmp4_ = NULL;
	gpointer _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	GtkFileChooser* _tmp7_ = NULL;
	GeeArrayList* _tmp8_ = NULL;
	gpointer _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	GeeArrayList* _tmp11_ = NULL;
	GeeArrayList* _tmp12_ = NULL;
	gpointer _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
#line 94 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = self->priv->forward_path_list;
#line 94 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = custom_file_chooser_dialog_chooser;
#line 94 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = gtk_file_chooser_get_current_folder (_tmp1_);
#line 94 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_ptr_array_add (_tmp0_, _tmp2_);
#line 96 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = self->priv->history;
#line 96 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = self->priv->history;
#line 96 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = gee_list_last ((GeeList*) _tmp4_);
#line 96 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = (gchar*) _tmp5_;
#line 96 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp3_, _tmp6_);
#line 96 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp6_);
#line 97 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp7_ = custom_file_chooser_dialog_chooser;
#line 97 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp8_ = self->priv->history;
#line 97 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp9_ = gee_list_last ((GeeList*) _tmp8_);
#line 97 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp10_ = (gchar*) _tmp9_;
#line 97 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder (_tmp7_, _tmp10_);
#line 97 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp10_);
#line 98 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp11_ = self->priv->history;
#line 98 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp12_ = self->priv->history;
#line 98 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp13_ = gee_list_last ((GeeList*) _tmp12_);
#line 98 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp14_ = (gchar*) _tmp13_;
#line 98 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp11_, _tmp14_);
#line 98 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp14_);
#line 280 "FileChooserDialog.c"
}


static void ___lambda14__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 93 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	__lambda14_ ((CustomFileChooserDialog*) self);
#line 287 "FileChooserDialog.c"
}


static gint g_ptr_array_get_length (GPtrArray* self) {
	gint result;
	guint _tmp0_ = 0U;
#line 4803 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 4803 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp0_ = self->len;
#line 4803 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	result = (gint) _tmp0_;
#line 4803 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	return result;
#line 302 "FileChooserDialog.c"
}


static void g_ptr_array_set_length (GPtrArray* self, gint value) {
	gint _tmp0_ = 0;
#line 4804 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	g_return_if_fail (self != NULL);
#line 4804 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp0_ = value;
#line 4804 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	g_ptr_array_set_size (self, _tmp0_);
#line 314 "FileChooserDialog.c"
}


static void __lambda15_ (Block5Data* _data5_) {
	CustomFileChooserDialog* self;
	GPtrArray* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 101 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	self = _data5_->self;
#line 102 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = self->priv->forward_path_list;
#line 102 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = g_ptr_array_get_length (_tmp0_);
#line 102 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 102 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	if (_tmp2_ > 0) {
#line 333 "FileChooserDialog.c"
		gint length = 0;
		GPtrArray* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		gint _tmp5_ = 0;
		MarlinViewChromeLocationBar* _tmp6_ = NULL;
		GPtrArray* _tmp7_ = NULL;
		gint _tmp8_ = 0;
		gconstpointer _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		GtkFileChooser* _tmp12_ = NULL;
		GPtrArray* _tmp13_ = NULL;
		gint _tmp14_ = 0;
		gconstpointer _tmp15_ = NULL;
		GPtrArray* _tmp16_ = NULL;
		GPtrArray* _tmp17_ = NULL;
		gint _tmp18_ = 0;
		gconstpointer _tmp19_ = NULL;
#line 103 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = self->priv->forward_path_list;
#line 103 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = g_ptr_array_get_length (_tmp3_);
#line 103 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = _tmp4_;
#line 103 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		length = _tmp5_ - 1;
#line 105 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = _data5_->pathbar;
#line 105 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = self->priv->forward_path_list;
#line 105 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = length;
#line 105 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = g_ptr_array_index (_tmp7_, (guint) _tmp8_);
#line 105 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp10_ = g_strconcat (CUSTOM_FILE_CHOOSER_DIALOG_FILE_PREFIX, (const gchar*) _tmp9_, NULL);
#line 105 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp11_ = _tmp10_;
#line 105 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		marlin_view_chrome_location_bar_set_path (_tmp6_, _tmp11_);
#line 105 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_free0 (_tmp11_);
#line 106 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp12_ = custom_file_chooser_dialog_chooser;
#line 106 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp13_ = self->priv->forward_path_list;
#line 106 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp14_ = length;
#line 106 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = g_ptr_array_index (_tmp13_, (guint) _tmp14_);
#line 106 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		gtk_file_chooser_set_current_folder (_tmp12_, (const gchar*) _tmp15_);
#line 107 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp16_ = self->priv->forward_path_list;
#line 107 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp17_ = self->priv->forward_path_list;
#line 107 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp18_ = length;
#line 107 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp19_ = g_ptr_array_index (_tmp17_, (guint) _tmp18_);
#line 107 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		g_ptr_array_remove (_tmp16_, (const gchar*) _tmp19_);
#line 396 "FileChooserDialog.c"
	}
}


static void ___lambda15__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 101 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	__lambda15_ (self);
#line 404 "FileChooserDialog.c"
}


static void __lambda16_ (Block5Data* _data5_) {
	CustomFileChooserDialog* self;
	GeeArrayList* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	GtkButton* _tmp13_ = NULL;
	GeeArrayList* _tmp14_ = NULL;
	gint _tmp15_ = 0;
	gint _tmp16_ = 0;
	GtkButton* _tmp17_ = NULL;
	GPtrArray* _tmp18_ = NULL;
	gint _tmp19_ = 0;
	gint _tmp20_ = 0;
	GtkFileChooser* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	const gchar* _tmp24_ = NULL;
	gboolean _tmp25_ = FALSE;
	MarlinViewChromeLocationBar* _tmp30_ = NULL;
	GtkFileChooser* _tmp31_ = NULL;
	gchar* _tmp32_ = NULL;
	gchar* _tmp33_ = NULL;
	gchar* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
#line 111 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	self = _data5_->self;
#line 112 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = self->priv->history;
#line 112 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp0_);
#line 112 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 112 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	if (_tmp2_ > 0) {
#line 442 "FileChooserDialog.c"
		GeeArrayList* _tmp3_ = NULL;
		gpointer _tmp4_ = NULL;
#line 113 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = self->priv->history;
#line 113 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = gee_list_last ((GeeList*) _tmp3_);
#line 113 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_free0 (self->priv->previous_path);
#line 113 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		self->priv->previous_path = (gchar*) _tmp4_;
#line 453 "FileChooserDialog.c"
	} else {
		const gchar* _tmp5_ = NULL;
		GtkFileChooser* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gboolean _tmp9_ = FALSE;
#line 114 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = custom_file_chooser_dialog_open_path;
#line 114 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = custom_file_chooser_dialog_chooser;
#line 114 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = gtk_file_chooser_get_current_folder (_tmp6_);
#line 114 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = _tmp7_;
#line 114 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = g_strcmp0 (_tmp5_, _tmp8_) != 0;
#line 114 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_free0 (_tmp8_);
#line 114 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		if (_tmp9_) {
#line 474 "FileChooserDialog.c"
			gchar* _tmp10_ = NULL;
			GeeArrayList* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
#line 115 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			_tmp10_ = g_strdup ("");
#line 115 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			_g_free0 (self->priv->previous_path);
#line 115 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			self->priv->previous_path = _tmp10_;
#line 116 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			_tmp11_ = self->priv->history;
#line 116 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			_tmp12_ = custom_file_chooser_dialog_open_path;
#line 116 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp11_, _tmp12_);
#line 490 "FileChooserDialog.c"
		}
	}
#line 119 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp13_ = _data5_->button_back;
#line 119 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp14_ = self->priv->history;
#line 119 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp15_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp14_);
#line 119 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp16_ = _tmp15_;
#line 119 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp13_, _tmp16_ > 0);
#line 120 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp17_ = _data5_->button_forward;
#line 120 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp18_ = self->priv->forward_path_list;
#line 120 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp19_ = g_ptr_array_get_length (_tmp18_);
#line 120 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp20_ = _tmp19_;
#line 120 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp17_, _tmp20_ > 0);
#line 122 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp21_ = custom_file_chooser_dialog_chooser;
#line 122 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp22_ = gtk_file_chooser_get_current_folder (_tmp21_);
#line 122 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp23_ = _tmp22_;
#line 122 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp24_ = self->priv->previous_path;
#line 122 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp25_ = g_strcmp0 (_tmp23_, _tmp24_) != 0;
#line 122 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp23_);
#line 122 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	if (_tmp25_) {
#line 527 "FileChooserDialog.c"
		GeeArrayList* _tmp26_ = NULL;
		GtkFileChooser* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
#line 123 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp26_ = self->priv->history;
#line 123 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp27_ = custom_file_chooser_dialog_chooser;
#line 123 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp28_ = gtk_file_chooser_get_current_folder (_tmp27_);
#line 123 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp29_ = _tmp28_;
#line 123 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		gee_abstract_collection_add ((GeeAbstractCollection*) _tmp26_, _tmp29_);
#line 123 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_free0 (_tmp29_);
#line 544 "FileChooserDialog.c"
	}
#line 125 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp30_ = _data5_->pathbar;
#line 125 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp31_ = custom_file_chooser_dialog_chooser;
#line 125 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp32_ = gtk_file_chooser_get_current_folder (_tmp31_);
#line 125 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp33_ = _tmp32_;
#line 125 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp34_ = g_strconcat (CUSTOM_FILE_CHOOSER_DIALOG_FILE_PREFIX, _tmp33_, NULL);
#line 125 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp35_ = _tmp34_;
#line 125 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	marlin_view_chrome_location_bar_set_path (_tmp30_, _tmp35_);
#line 125 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp35_);
#line 125 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp33_);
#line 564 "FileChooserDialog.c"
}


static void ___lambda16__gtk_file_chooser_current_folder_changed (GtkFileChooser* _sender, gpointer self) {
#line 111 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	__lambda16_ (self);
#line 571 "FileChooserDialog.c"
}


static void __lambda17_ (CustomFileChooserDialog* self, const gchar* file) {
	GtkFileChooser* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 128 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (file != NULL);
#line 129 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser;
#line 129 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = file;
#line 129 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder (_tmp0_, _tmp1_);
#line 586 "FileChooserDialog.c"
}


static void ___lambda17__marlin_view_chrome_location_bar_change_to_file (MarlinViewChromeLocationBar* _sender, const gchar* filename, gpointer self) {
#line 128 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	__lambda17_ ((CustomFileChooserDialog*) self, filename);
#line 593 "FileChooserDialog.c"
}


CustomFileChooserDialog* custom_file_chooser_dialog_construct (GType object_type, GtkFileChooserDialog* _dialog) {
	CustomFileChooserDialog * self = NULL;
	Block5Data* _data5_;
	GtkFileChooserDialog* _tmp0_ = NULL;
	GtkFileChooserDialog* _tmp1_ = NULL;
	GtkFileChooserDialog* _tmp2_ = NULL;
	GtkFileChooserDialog* _tmp3_ = NULL;
	GtkFileChooser* _tmp4_ = NULL;
	GtkFileChooserDialog* _tmp5_ = NULL;
	GtkHeaderBar* header_bar = NULL;
	GtkHeaderBar* _tmp6_ = NULL;
	GtkButton* _tmp7_ = NULL;
	GtkButton* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	GtkButton* _tmp10_ = NULL;
	GtkButton* _tmp11_ = NULL;
	GtkButton* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	GtkButton* _tmp14_ = NULL;
	GtkWidget* _tmp15_ = NULL;
	MarlinViewChromeLocationBar* _tmp16_ = NULL;
	MarlinViewChromeLocationBar* _tmp17_ = NULL;
	GtkFileChooser* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	MarlinViewChromeLocationBar* _tmp23_ = NULL;
	GtkHeaderBar* _tmp24_ = NULL;
	GtkButton* _tmp25_ = NULL;
	GtkHeaderBar* _tmp26_ = NULL;
	GtkButton* _tmp27_ = NULL;
	GtkHeaderBar* _tmp28_ = NULL;
	MarlinViewChromeLocationBar* _tmp29_ = NULL;
	gboolean _tmp30_ = FALSE;
	GtkButton* _tmp31_ = NULL;
	GtkFileChooserDialog* _tmp40_ = NULL;
	GtkHeaderBar* _tmp41_ = NULL;
	GtkFileChooserDialog* _tmp42_ = NULL;
	GtkButton* _tmp43_ = NULL;
	GtkButton* _tmp44_ = NULL;
	GtkFileChooser* _tmp45_ = NULL;
	MarlinViewChromeLocationBar* _tmp46_ = NULL;
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (_dialog != NULL, NULL);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_data5_ = g_slice_new0 (Block5Data);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_data5_->_ref_count_ = 1;
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	self = (CustomFileChooserDialog*) g_object_new (object_type, NULL);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_data5_->self = g_object_ref (self);
#line 52 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = _dialog;
#line 52 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 52 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (custom_file_chooser_dialog_d);
#line 52 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_d = _tmp1_;
#line 53 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = custom_file_chooser_dialog_d;
#line 53 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_object_set ((GtkWidget*) _tmp2_, "can-focus", TRUE, NULL);
#line 56 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = custom_file_chooser_dialog_d;
#line 56 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp3_, GTK_TYPE_FILE_CHOOSER) ? ((GtkFileChooser*) _tmp3_) : NULL);
#line 56 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (custom_file_chooser_dialog_chooser);
#line 56 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_chooser = _tmp4_;
#line 58 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = custom_file_chooser_dialog_d;
#line 58 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_window_set_deletable ((GtkWindow*) _tmp5_, FALSE);
#line 59 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_assign_container_box ();
#line 60 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_setup_filter_box ();
#line 61 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_remove_gtk_widgets ();
#line 63 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = (GtkHeaderBar*) gtk_header_bar_new ();
#line 63 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp6_);
#line 63 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	header_bar = _tmp6_;
#line 65 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp7_ = (GtkButton*) gtk_button_new_from_icon_name ("go-previous-symbolic", GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 65 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp7_);
#line 65 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_data5_->button_back = _tmp7_;
#line 66 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp8_ = _data5_->button_back;
#line 66 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp9_ = _ ("Previous");
#line 66 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp8_, _tmp9_);
#line 67 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp10_ = _data5_->button_back;
#line 67 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp10_, FALSE);
#line 69 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp11_ = (GtkButton*) gtk_button_new_from_icon_name ("go-next-symbolic", GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 69 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp11_);
#line 69 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_data5_->button_forward = _tmp11_;
#line 70 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp12_ = _data5_->button_forward;
#line 70 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp13_ = _ ("Next");
#line 70 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp12_, _tmp13_);
#line 71 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp14_ = _data5_->button_forward;
#line 71 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp14_, FALSE);
#line 73 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp15_ = custom_file_chooser_dialog_rootwidget;
#line 73 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp16_ = marlin_view_chrome_location_bar_new (_tmp15_);
#line 73 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp16_);
#line 73 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_data5_->pathbar = _tmp16_;
#line 74 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp17_ = _data5_->pathbar;
#line 74 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp18_ = custom_file_chooser_dialog_chooser;
#line 74 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp19_ = gtk_file_chooser_get_current_folder (_tmp18_);
#line 74 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp20_ = _tmp19_;
#line 74 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp21_ = g_strconcat (CUSTOM_FILE_CHOOSER_DIALOG_FILE_PREFIX, _tmp20_, NULL);
#line 74 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp22_ = _tmp21_;
#line 74 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	marlin_view_chrome_location_bar_set_path (_tmp17_, _tmp22_);
#line 74 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp22_);
#line 74 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp20_);
#line 75 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp23_ = _data5_->pathbar;
#line 75 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp23_, TRUE);
#line 77 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp24_ = header_bar;
#line 77 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp25_ = _data5_->button_back;
#line 77 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_header_bar_pack_start (_tmp24_, (GtkWidget*) _tmp25_);
#line 78 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp26_ = header_bar;
#line 78 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp27_ = _data5_->button_forward;
#line 78 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_header_bar_pack_start (_tmp26_, (GtkWidget*) _tmp27_);
#line 79 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp28_ = header_bar;
#line 79 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp29_ = _data5_->pathbar;
#line 79 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_header_bar_pack_start (_tmp28_, (GtkWidget*) _tmp29_);
#line 80 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp31_ = custom_file_chooser_dialog_gtk_folder_button;
#line 80 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	if (_tmp31_ != NULL) {
#line 770 "FileChooserDialog.c"
		GtkFileChooser* _tmp32_ = NULL;
		GtkFileChooserAction _tmp33_ = 0;
#line 80 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp32_ = custom_file_chooser_dialog_chooser;
#line 80 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp33_ = gtk_file_chooser_get_action (_tmp32_);
#line 80 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp30_ = _tmp33_ != GTK_FILE_CHOOSER_ACTION_OPEN;
#line 779 "FileChooserDialog.c"
	} else {
#line 80 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp30_ = FALSE;
#line 783 "FileChooserDialog.c"
	}
#line 80 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	if (_tmp30_) {
#line 787 "FileChooserDialog.c"
		GtkButton* create_folder_button = NULL;
		GtkButton* _tmp34_ = NULL;
		GtkButton* _tmp35_ = NULL;
		const gchar* _tmp36_ = NULL;
		GtkButton* _tmp37_ = NULL;
		GtkHeaderBar* _tmp38_ = NULL;
		GtkButton* _tmp39_ = NULL;
#line 81 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp34_ = (GtkButton*) gtk_button_new_from_icon_name ("folder-new", GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 81 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp34_);
#line 81 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		create_folder_button = _tmp34_;
#line 82 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp35_ = create_folder_button;
#line 82 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp36_ = _ ("Create folder");
#line 82 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp35_, _tmp36_);
#line 83 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp37_ = create_folder_button;
#line 83 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		g_signal_connect_object (_tmp37_, "clicked", (GCallback) ____lambda13__gtk_button_clicked, self, 0);
#line 87 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp38_ = header_bar;
#line 87 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp39_ = create_folder_button;
#line 87 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		gtk_header_bar_pack_end (_tmp38_, (GtkWidget*) _tmp39_);
#line 80 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (create_folder_button);
#line 819 "FileChooserDialog.c"
	}
#line 90 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp40_ = custom_file_chooser_dialog_d;
#line 90 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp41_ = header_bar;
#line 90 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_window_set_titlebar ((GtkWindow*) _tmp40_, (GtkWidget*) _tmp41_);
#line 91 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp42_ = custom_file_chooser_dialog_d;
#line 91 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp42_);
#line 93 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp43_ = _data5_->button_back;
#line 93 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_object (_tmp43_, "clicked", (GCallback) ___lambda14__gtk_button_clicked, self, 0);
#line 101 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp44_ = _data5_->button_forward;
#line 101 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_data (_tmp44_, "clicked", (GCallback) ___lambda15__gtk_button_clicked, block5_data_ref (_data5_), (GClosureNotify) block5_data_unref, 0);
#line 111 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp45_ = custom_file_chooser_dialog_chooser;
#line 111 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_data (_tmp45_, "current-folder-changed", (GCallback) ___lambda16__gtk_file_chooser_current_folder_changed, block5_data_ref (_data5_), (GClosureNotify) block5_data_unref, 0);
#line 128 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp46_ = _data5_->pathbar;
#line 128 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_object (_tmp46_, "change-to-file", (GCallback) ___lambda17__marlin_view_chrome_location_bar_change_to_file, self, 0);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (header_bar);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	block5_data_unref (_data5_);
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_data5_ = NULL;
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	return self;
#line 855 "FileChooserDialog.c"
}


CustomFileChooserDialog* custom_file_chooser_dialog_new (GtkFileChooserDialog* _dialog) {
#line 50 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	return custom_file_chooser_dialog_construct (TYPE_CUSTOM_FILE_CHOOSER_DIALOG, _dialog);
#line 862 "FileChooserDialog.c"
}


void custom_file_chooser_dialog_set_open_path (CustomFileChooserDialog* self, const gchar* _open_path) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GtkFileChooser* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
#line 133 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 133 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (_open_path != NULL);
#line 134 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = _open_path;
#line 134 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 134 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (custom_file_chooser_dialog_open_path);
#line 134 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_open_path = _tmp1_;
#line 135 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = custom_file_chooser_dialog_open_path;
#line 135 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 135 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (self->priv->previous_path);
#line 135 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	self->priv->previous_path = _tmp3_;
#line 136 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = custom_file_chooser_dialog_chooser;
#line 136 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = custom_file_chooser_dialog_open_path;
#line 136 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder (_tmp4_, _tmp5_);
#line 899 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_remove_gtk_widgets (void) {
	GtkFileChooserDialog* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
#line 141 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_d;
#line 141 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children ((GtkContainer*) _tmp0_);
#line 910 "FileChooserDialog.c"
	{
		GList* root_collection = NULL;
		GList* root_it = NULL;
#line 141 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		root_collection = _tmp1_;
#line 141 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		for (root_it = root_collection; root_it != NULL; root_it = root_it->next) {
#line 918 "FileChooserDialog.c"
			GtkWidget* root = NULL;
#line 141 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			root = (GtkWidget*) root_it->data;
#line 922 "FileChooserDialog.c"
			{
				GtkWidget* _tmp2_ = NULL;
				GList* _tmp3_ = NULL;
#line 142 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				_tmp2_ = root;
#line 142 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				_tmp3_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp2_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp2_) : NULL);
#line 930 "FileChooserDialog.c"
				{
					GList* w0_collection = NULL;
					GList* w0_it = NULL;
#line 142 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					w0_collection = _tmp3_;
#line 142 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					for (w0_it = w0_collection; w0_it != NULL; w0_it = w0_it->next) {
#line 938 "FileChooserDialog.c"
						GtkWidget* w0 = NULL;
#line 142 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						w0 = (GtkWidget*) w0_it->data;
#line 942 "FileChooserDialog.c"
						{
							GtkWidget* _tmp4_ = NULL;
							const gchar* _tmp5_ = NULL;
							const gchar* _tmp6_ = NULL;
#line 143 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							_tmp4_ = w0;
#line 143 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							_tmp5_ = gtk_buildable_get_name ((GtkBuildable*) _tmp4_);
#line 143 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							_tmp6_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[0];
#line 143 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							if (g_strcmp0 (_tmp5_, _tmp6_) == 0) {
#line 955 "FileChooserDialog.c"
								GtkContainer* chooserwidget = NULL;
								GtkWidget* _tmp7_ = NULL;
								GtkContainer* _tmp8_ = NULL;
								GtkContainer* _tmp9_ = NULL;
								GtkWidget* _tmp10_ = NULL;
								GtkWidget* _tmp11_ = NULL;
								GtkBox* root_box = NULL;
								GtkBox* _tmp12_ = NULL;
								GtkBox* _tmp13_ = NULL;
								GtkSeparator* _tmp14_ = NULL;
								GtkSeparator* _tmp15_ = NULL;
								GtkBox* _tmp16_ = NULL;
								GtkContainer* _tmp17_ = NULL;
								GtkFileChooser* _tmp18_ = NULL;
								GtkWidget* _tmp19_ = NULL;
								GtkWidget* _tmp23_ = NULL;
								GtkBox* _tmp24_ = NULL;
								GtkContainer* _tmp25_ = NULL;
								GtkWidget* _tmp26_ = NULL;
								GtkWidget* _tmp27_ = NULL;
								GtkWidget* _tmp28_ = NULL;
								GtkWidget* _tmp29_ = NULL;
								GtkWidget* _tmp30_ = NULL;
								GtkWidget* _tmp31_ = NULL;
#line 145 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp7_ = w0;
#line 145 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp8_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp7_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp7_) : NULL);
#line 145 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								chooserwidget = _tmp8_;
#line 146 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp9_ = chooserwidget;
#line 146 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								gtk_widget_set_vexpand ((GtkWidget*) _tmp9_, TRUE);
#line 148 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp10_ = root;
#line 148 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp11_ = w0;
#line 148 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp10_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp10_) : NULL, _tmp11_);
#line 149 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp12_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 149 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								g_object_ref_sink (_tmp12_);
#line 149 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								root_box = _tmp12_;
#line 150 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp13_ = root_box;
#line 150 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp14_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
#line 150 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								g_object_ref_sink (_tmp14_);
#line 150 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp15_ = _tmp14_;
#line 150 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								gtk_container_add ((GtkContainer*) _tmp13_, (GtkWidget*) _tmp15_);
#line 150 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_g_object_unref0 (_tmp15_);
#line 151 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp16_ = root_box;
#line 151 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp17_ = chooserwidget;
#line 151 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								gtk_container_add ((GtkContainer*) _tmp16_, (GtkWidget*) _tmp17_);
#line 153 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp18_ = custom_file_chooser_dialog_chooser;
#line 153 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp19_ = gtk_file_chooser_get_extra_widget (_tmp18_);
#line 153 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								if (_tmp19_ == NULL) {
#line 1026 "FileChooserDialog.c"
									GtkBox* _tmp20_ = NULL;
									GtkSeparator* _tmp21_ = NULL;
									GtkSeparator* _tmp22_ = NULL;
#line 154 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp20_ = root_box;
#line 154 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp21_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
#line 154 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									g_object_ref_sink (_tmp21_);
#line 154 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp22_ = _tmp21_;
#line 154 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									gtk_container_add ((GtkContainer*) _tmp20_, (GtkWidget*) _tmp22_);
#line 154 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_g_object_unref0 (_tmp22_);
#line 1042 "FileChooserDialog.c"
								}
#line 156 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp23_ = root;
#line 156 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp24_ = root_box;
#line 156 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								gtk_container_add (G_TYPE_CHECK_INSTANCE_TYPE (_tmp23_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp23_) : NULL, (GtkWidget*) _tmp24_);
#line 157 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp25_ = chooserwidget;
#line 157 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp26_ = _g_object_ref0 ((GtkWidget*) _tmp25_);
#line 157 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_g_object_unref0 (custom_file_chooser_dialog_rootwidget);
#line 157 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								custom_file_chooser_dialog_rootwidget = _tmp26_;
#line 158 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp27_ = w0;
#line 158 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp28_ = _g_object_ref0 (_tmp27_);
#line 158 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_g_object_unref0 (custom_file_chooser_dialog_rootwidget);
#line 158 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								custom_file_chooser_dialog_rootwidget = _tmp28_;
#line 159 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp29_ = custom_file_chooser_dialog_rootwidget;
#line 159 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								g_object_set (_tmp29_, "can-focus", TRUE, NULL);
#line 160 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp30_ = custom_file_chooser_dialog_rootwidget;
#line 160 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp31_ = w0;
#line 160 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								custom_file_chooser_dialog_transform_rootwidget_container (_tmp30_, _tmp31_);
#line 143 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_g_object_unref0 (root_box);
#line 143 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_g_object_unref0 (chooserwidget);
#line 1080 "FileChooserDialog.c"
							}
						}
					}
#line 142 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_g_list_free0 (w0_collection);
#line 1086 "FileChooserDialog.c"
				}
			}
		}
#line 141 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_list_free0 (root_collection);
#line 1092 "FileChooserDialog.c"
	}
}


static void custom_file_chooser_dialog_transform_rootwidget_container (GtkWidget* rootwidget, GtkWidget* w0) {
	GtkWidget* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
#line 166 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (rootwidget != NULL);
#line 166 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w0 != NULL);
#line 167 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = rootwidget;
#line 167 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp0_) : NULL);
#line 1108 "FileChooserDialog.c"
	{
		GList* w1_collection = NULL;
		GList* w1_it = NULL;
#line 167 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		w1_collection = _tmp1_;
#line 167 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		for (w1_it = w1_collection; w1_it != NULL; w1_it = w1_it->next) {
#line 1116 "FileChooserDialog.c"
			GtkWidget* w1 = NULL;
#line 167 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			w1 = (GtkWidget*) w1_it->data;
#line 1120 "FileChooserDialog.c"
			{
				gboolean _tmp2_ = FALSE;
				GtkWidget* _tmp3_ = NULL;
				const gchar* _tmp4_ = NULL;
				const gchar* _tmp5_ = NULL;
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				_tmp3_ = w1;
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				_tmp4_ = gtk_widget_get_name (_tmp3_);
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				_tmp5_ = _tmp4_;
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				if (g_strcmp0 (_tmp5_, "GtkBox") == 0) {
#line 1134 "FileChooserDialog.c"
					GtkWidget* _tmp6_ = NULL;
					const gchar* _tmp7_ = NULL;
					const gchar* _tmp8_ = NULL;
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp6_ = w1;
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp7_ = gtk_buildable_get_name ((GtkBuildable*) _tmp6_);
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp8_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[1];
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp2_ = g_strcmp0 (_tmp7_, _tmp8_) != 0;
#line 1146 "FileChooserDialog.c"
				} else {
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp2_ = FALSE;
#line 1150 "FileChooserDialog.c"
				}
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				if (_tmp2_) {
#line 1154 "FileChooserDialog.c"
					GObject* new_w1 = NULL;
					GtkWidget* _tmp9_ = NULL;
					GObject* _tmp10_ = NULL;
					GObject* _tmp11_ = NULL;
					GtkWidget* _tmp12_ = NULL;
					GtkWidget* _tmp13_ = NULL;
					GObject* _tmp14_ = NULL;
					GList* _tmp15_ = NULL;
					GtkBox* _tmp25_ = NULL;
#line 169 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp9_ = w1;
#line 169 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp10_ = g_object_ref ((GObject*) _tmp9_);
#line 169 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp11_ = _g_object_ref0 (_tmp10_);
#line 169 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					new_w1 = _tmp11_;
#line 170 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp12_ = rootwidget;
#line 170 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp13_ = w1;
#line 170 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp12_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp12_) : NULL, _tmp13_);
#line 172 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp14_ = new_w1;
#line 172 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp15_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp14_) : NULL);
#line 1182 "FileChooserDialog.c"
					{
						GList* grid_collection = NULL;
						GList* grid_it = NULL;
#line 172 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						grid_collection = _tmp15_;
#line 172 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						for (grid_it = grid_collection; grid_it != NULL; grid_it = grid_it->next) {
#line 1190 "FileChooserDialog.c"
							GtkWidget* grid = NULL;
#line 172 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							grid = (GtkWidget*) grid_it->data;
#line 1194 "FileChooserDialog.c"
							{
								GtkWidget* _tmp16_ = NULL;
#line 173 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp16_ = grid;
#line 173 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								if (_tmp16_ != NULL) {
#line 1201 "FileChooserDialog.c"
									GObject* new_grid = NULL;
									GtkWidget* _tmp17_ = NULL;
									GObject* _tmp18_ = NULL;
									GObject* _tmp19_ = NULL;
									GObject* _tmp20_ = NULL;
									GObject* _tmp21_ = NULL;
									GtkWidget* _tmp22_ = NULL;
									GtkBox* _tmp23_ = NULL;
									GObject* _tmp24_ = NULL;
#line 174 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp17_ = grid;
#line 174 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp18_ = g_object_ref ((GObject*) _tmp17_);
#line 174 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp19_ = _g_object_ref0 (_tmp18_);
#line 174 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									new_grid = _tmp19_;
#line 175 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp20_ = new_grid;
#line 175 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									g_object_set (G_TYPE_CHECK_INSTANCE_TYPE (_tmp20_, gtk_widget_get_type ()) ? ((GtkWidget*) _tmp20_) : NULL, "margin", 0, NULL);
#line 176 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp21_ = new_w1;
#line 176 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp22_ = grid;
#line 176 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp21_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp21_) : NULL, _tmp22_);
#line 177 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp23_ = custom_file_chooser_dialog_container_box;
#line 177 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp24_ = new_grid;
#line 177 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									gtk_container_add ((GtkContainer*) _tmp23_, G_TYPE_CHECK_INSTANCE_TYPE (_tmp24_, gtk_widget_get_type ()) ? ((GtkWidget*) _tmp24_) : NULL);
#line 173 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_g_object_unref0 (new_grid);
#line 1237 "FileChooserDialog.c"
								}
							}
						}
#line 172 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						_g_list_free0 (grid_collection);
#line 1243 "FileChooserDialog.c"
					}
#line 181 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp25_ = custom_file_chooser_dialog_container_box;
#line 181 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					gtk_widget_show_all ((GtkWidget*) _tmp25_);
#line 168 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_g_object_unref0 (new_w1);
#line 1251 "FileChooserDialog.c"
				} else {
					GtkWidget* _tmp26_ = NULL;
					const gchar* _tmp27_ = NULL;
					const gchar* _tmp28_ = NULL;
#line 182 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp26_ = w1;
#line 182 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp27_ = gtk_buildable_get_name ((GtkBuildable*) _tmp26_);
#line 182 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp28_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[1];
#line 182 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					if (g_strcmp0 (_tmp27_, _tmp28_) == 0) {
#line 1264 "FileChooserDialog.c"
						GtkWidget* _tmp29_ = NULL;
#line 183 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						_tmp29_ = w1;
#line 183 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						custom_file_chooser_dialog_transform_w1_container (_tmp29_);
#line 1270 "FileChooserDialog.c"
					} else {
						GtkWidget* _tmp30_ = NULL;
						const gchar* _tmp31_ = NULL;
						const gchar* _tmp32_ = NULL;
#line 185 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						_tmp30_ = w1;
#line 185 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						_tmp31_ = gtk_buildable_get_name ((GtkBuildable*) _tmp30_);
#line 185 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						_tmp32_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_FILTERCHOOSER_PATH[0];
#line 185 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						if (g_strcmp0 (_tmp31_, _tmp32_) == 0) {
#line 1283 "FileChooserDialog.c"
							GtkFileChooser* _tmp33_ = NULL;
							GtkWidget* _tmp34_ = NULL;
#line 187 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							_tmp33_ = custom_file_chooser_dialog_chooser;
#line 187 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							_tmp34_ = gtk_file_chooser_get_extra_widget (_tmp33_);
#line 187 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							if (_tmp34_ == NULL) {
#line 1292 "FileChooserDialog.c"
								GtkWidget* _tmp35_ = NULL;
								GtkWidget* _tmp36_ = NULL;
#line 188 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp35_ = w0;
#line 188 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp36_ = w1;
#line 188 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp35_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp35_) : NULL, _tmp36_);
#line 1301 "FileChooserDialog.c"
							} else {
								GtkWidget* _tmp37_ = NULL;
								GList* _tmp38_ = NULL;
#line 190 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp37_ = w1;
#line 190 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp38_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp37_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp37_) : NULL);
#line 1309 "FileChooserDialog.c"
								{
									GList* w5_collection = NULL;
									GList* w5_it = NULL;
#line 190 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									w5_collection = _tmp38_;
#line 190 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									for (w5_it = w5_collection; w5_it != NULL; w5_it = w5_it->next) {
#line 1317 "FileChooserDialog.c"
										GtkWidget* w5 = NULL;
#line 190 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
										w5 = (GtkWidget*) w5_it->data;
#line 1321 "FileChooserDialog.c"
										{
											GtkWidget* _tmp39_ = NULL;
											const gchar* _tmp40_ = NULL;
											const gchar* _tmp41_ = NULL;
#line 191 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
											_tmp39_ = w5;
#line 191 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
											_tmp40_ = gtk_buildable_get_name ((GtkBuildable*) _tmp39_);
#line 191 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
											_tmp41_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_FILTERCHOOSER_PATH[1];
#line 191 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
											if (g_strcmp0 (_tmp40_, _tmp41_) == 0) {
#line 1334 "FileChooserDialog.c"
												GtkWidget* _tmp42_ = NULL;
												GtkWidget* _tmp43_ = NULL;
#line 192 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
												_tmp42_ = w1;
#line 192 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
												_tmp43_ = w5;
#line 192 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
												gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp42_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp42_) : NULL, _tmp43_);
#line 1343 "FileChooserDialog.c"
											}
										}
									}
#line 190 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_g_list_free0 (w5_collection);
#line 1349 "FileChooserDialog.c"
								}
							}
						}
					}
				}
			}
		}
#line 167 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_list_free0 (w1_collection);
#line 1359 "FileChooserDialog.c"
	}
}


static void custom_file_chooser_dialog_transform_w1_container (GtkWidget* w1) {
	GtkWidget* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
#line 200 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w1 != NULL);
#line 201 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w1;
#line 201 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp0_) : NULL);
#line 1373 "FileChooserDialog.c"
	{
		GList* paned_collection = NULL;
		GList* paned_it = NULL;
#line 201 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		paned_collection = _tmp1_;
#line 201 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		for (paned_it = paned_collection; paned_it != NULL; paned_it = paned_it->next) {
#line 1381 "FileChooserDialog.c"
			GtkWidget* paned = NULL;
#line 201 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			paned = (GtkWidget*) paned_it->data;
#line 1385 "FileChooserDialog.c"
			{
				GtkWidget* _tmp2_ = NULL;
				GList* _tmp3_ = NULL;
#line 202 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				_tmp2_ = paned;
#line 202 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				_tmp3_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp2_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp2_) : NULL);
#line 1393 "FileChooserDialog.c"
				{
					GList* w2_collection = NULL;
					GList* w2_it = NULL;
#line 202 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					w2_collection = _tmp3_;
#line 202 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					for (w2_it = w2_collection; w2_it != NULL; w2_it = w2_it->next) {
#line 1401 "FileChooserDialog.c"
						GtkWidget* w2 = NULL;
#line 202 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						w2 = (GtkWidget*) w2_it->data;
#line 1405 "FileChooserDialog.c"
						{
							GtkWidget* _tmp4_ = NULL;
							const gchar* _tmp5_ = NULL;
#line 203 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							_tmp4_ = w2;
#line 203 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							_tmp5_ = gtk_buildable_get_name ((GtkBuildable*) _tmp4_);
#line 203 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							if (g_strcmp0 (_tmp5_, CUSTOM_FILE_CHOOSER_DIALOG_PLACES_SIDEBAR_PATH) == 0) {
#line 1415 "FileChooserDialog.c"
								GtkWidget* _tmp6_ = NULL;
								GtkWidget* _tmp7_ = NULL;
#line 204 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp6_ = w2;
#line 204 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								gtk_places_sidebar_set_show_desktop (G_TYPE_CHECK_INSTANCE_TYPE (_tmp6_, gtk_places_sidebar_get_type ()) ? ((GtkPlacesSidebar*) _tmp6_) : NULL, FALSE);
#line 205 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp7_ = w2;
#line 205 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								gtk_places_sidebar_set_show_enter_location (G_TYPE_CHECK_INSTANCE_TYPE (_tmp7_, gtk_places_sidebar_get_type ()) ? ((GtkPlacesSidebar*) _tmp7_) : NULL, FALSE);
#line 1426 "FileChooserDialog.c"
							} else {
								GtkWidget* _tmp8_ = NULL;
								const gchar* _tmp9_ = NULL;
								const gchar* _tmp10_ = NULL;
#line 206 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp8_ = w2;
#line 206 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp9_ = gtk_buildable_get_name ((GtkBuildable*) _tmp8_);
#line 206 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp10_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[2];
#line 206 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								if (g_strcmp0 (_tmp9_, _tmp10_) == 0) {
#line 1439 "FileChooserDialog.c"
									GtkWidget* _tmp11_ = NULL;
#line 207 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp11_ = w2;
#line 207 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									custom_file_chooser_dialog_transform_w2_container (_tmp11_);
#line 1445 "FileChooserDialog.c"
								}
							}
						}
					}
#line 202 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_g_list_free0 (w2_collection);
#line 1452 "FileChooserDialog.c"
				}
			}
		}
#line 201 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_list_free0 (paned_collection);
#line 1458 "FileChooserDialog.c"
	}
}


static void custom_file_chooser_dialog_transform_w2_container (GtkWidget* w2) {
	GtkWidget* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
#line 212 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w2 != NULL);
#line 213 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = w2;
#line 213 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp0_) : NULL);
#line 1472 "FileChooserDialog.c"
	{
		GList* w3_collection = NULL;
		GList* w3_it = NULL;
#line 213 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		w3_collection = _tmp1_;
#line 213 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		for (w3_it = w3_collection; w3_it != NULL; w3_it = w3_it->next) {
#line 1480 "FileChooserDialog.c"
			GtkWidget* w3 = NULL;
#line 213 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			w3 = (GtkWidget*) w3_it->data;
#line 1484 "FileChooserDialog.c"
			{
				GtkWidget* _tmp2_ = NULL;
				const gchar* _tmp3_ = NULL;
				const gchar* _tmp4_ = NULL;
#line 214 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				_tmp2_ = w3;
#line 214 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				_tmp3_ = gtk_buildable_get_name ((GtkBuildable*) _tmp2_);
#line 214 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				_tmp4_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[3];
#line 214 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
				if (g_strcmp0 (_tmp3_, _tmp4_) == 0) {
#line 1497 "FileChooserDialog.c"
					GtkWidget* _tmp5_ = NULL;
					GList* _tmp6_ = NULL;
					GtkWidget* _tmp23_ = NULL;
					GtkWidget* _tmp24_ = NULL;
#line 215 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp5_ = w3;
#line 215 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp6_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp5_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp5_) : NULL);
#line 1506 "FileChooserDialog.c"
					{
						GList* w4_collection = NULL;
						GList* w4_it = NULL;
#line 215 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						w4_collection = _tmp6_;
#line 215 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						for (w4_it = w4_collection; w4_it != NULL; w4_it = w4_it->next) {
#line 1514 "FileChooserDialog.c"
							GtkWidget* w4 = NULL;
#line 215 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
							w4 = (GtkWidget*) w4_it->data;
#line 1518 "FileChooserDialog.c"
							{
								GtkWidget* _tmp7_ = NULL;
								const gchar* _tmp8_ = NULL;
								const gchar* _tmp9_ = NULL;
#line 216 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp7_ = w4;
#line 216 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp8_ = gtk_buildable_get_name ((GtkBuildable*) _tmp7_);
#line 216 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								_tmp9_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_CREATEFOLDER_BUTTON_PATH[0];
#line 216 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
								if (g_strcmp0 (_tmp8_, _tmp9_) == 0) {
#line 1531 "FileChooserDialog.c"
									GtkWidget* _tmp10_ = NULL;
									GList* _tmp11_ = NULL;
#line 217 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp10_ = w4;
#line 217 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
									_tmp11_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp10_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp10_) : NULL);
#line 1538 "FileChooserDialog.c"
									{
										GList* w5_collection = NULL;
										GList* w5_it = NULL;
#line 217 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
										w5_collection = _tmp11_;
#line 217 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
										for (w5_it = w5_collection; w5_it != NULL; w5_it = w5_it->next) {
#line 1546 "FileChooserDialog.c"
											GtkWidget* w5 = NULL;
#line 217 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
											w5 = (GtkWidget*) w5_it->data;
#line 1550 "FileChooserDialog.c"
											{
												GtkWidget* _tmp12_ = NULL;
												const gchar* _tmp13_ = NULL;
												const gchar* _tmp14_ = NULL;
#line 218 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
												_tmp12_ = w5;
#line 218 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
												_tmp13_ = gtk_buildable_get_name ((GtkBuildable*) _tmp12_);
#line 218 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
												_tmp14_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_CREATEFOLDER_BUTTON_PATH[1];
#line 218 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
												if (g_strcmp0 (_tmp13_, _tmp14_) == 0) {
#line 1563 "FileChooserDialog.c"
													GtkWidget* _tmp15_ = NULL;
													GList* _tmp16_ = NULL;
#line 219 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
													_tmp15_ = w5;
#line 219 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
													_tmp16_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_tmp15_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp15_) : NULL);
#line 1570 "FileChooserDialog.c"
													{
														GList* w6_collection = NULL;
														GList* w6_it = NULL;
#line 219 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
														w6_collection = _tmp16_;
#line 219 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
														for (w6_it = w6_collection; w6_it != NULL; w6_it = w6_it->next) {
#line 1578 "FileChooserDialog.c"
															GtkWidget* w6 = NULL;
#line 219 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
															w6 = (GtkWidget*) w6_it->data;
#line 1582 "FileChooserDialog.c"
															{
																GtkWidget* _tmp17_ = NULL;
																const gchar* _tmp18_ = NULL;
																const gchar* _tmp19_ = NULL;
#line 220 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
																_tmp17_ = w6;
#line 220 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
																_tmp18_ = gtk_buildable_get_name ((GtkBuildable*) _tmp17_);
#line 220 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
																_tmp19_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_CREATEFOLDER_BUTTON_PATH[2];
#line 220 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
																if (g_strcmp0 (_tmp18_, _tmp19_) == 0) {
#line 1595 "FileChooserDialog.c"
																	GtkWidget* _tmp20_ = NULL;
																	GObject* _tmp21_ = NULL;
																	GtkButton* _tmp22_ = NULL;
#line 222 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
																	_tmp20_ = w6;
#line 222 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
																	_tmp21_ = g_object_ref ((GObject*) _tmp20_);
#line 222 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
																	_tmp22_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp21_, gtk_button_get_type ()) ? ((GtkButton*) _tmp21_) : NULL);
#line 222 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
																	_g_object_unref0 (custom_file_chooser_dialog_gtk_folder_button);
#line 222 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
																	custom_file_chooser_dialog_gtk_folder_button = _tmp22_;
#line 1609 "FileChooserDialog.c"
																}
															}
														}
#line 219 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
														_g_list_free0 (w6_collection);
#line 1615 "FileChooserDialog.c"
													}
												}
											}
										}
#line 217 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
										_g_list_free0 (w5_collection);
#line 1622 "FileChooserDialog.c"
									}
								}
							}
						}
#line 215 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
						_g_list_free0 (w4_collection);
#line 1629 "FileChooserDialog.c"
					}
#line 229 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp23_ = w2;
#line 229 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					_tmp24_ = w3;
#line 229 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
					gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_tmp23_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp23_) : NULL, _tmp24_);
#line 1637 "FileChooserDialog.c"
				}
			}
		}
#line 213 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_list_free0 (w3_collection);
#line 1643 "FileChooserDialog.c"
	}
}


static void custom_file_chooser_dialog_assign_container_box (void) {
	GtkWidget* tmp = NULL;
	GtkFileChooserDialog* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	GtkContainer* container = NULL;
	GtkContainer* _tmp3_ = NULL;
	GtkContainer* _tmp4_ = NULL;
	GtkContainer* _tmp5_ = NULL;
	GtkBox* _tmp6_ = NULL;
#line 235 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_d;
#line 235 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_dialog_get_widget_for_response ((GtkDialog*) _tmp0_, CUSTOM_FILE_CHOOSER_DIALOG_BUTTON_RESPONSE);
#line 235 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 235 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	tmp = _tmp2_;
#line 237 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = (GtkContainer*) gtk_widget_get_parent (tmp);
#line 237 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = _g_object_ref0 (_tmp3_);
#line 237 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	container = _tmp4_;
#line 238 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = (GtkContainer*) gtk_widget_get_parent ((GtkWidget*) container);
#line 238 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp5_, gtk_box_get_type ()) ? ((GtkBox*) _tmp5_) : NULL);
#line 238 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (custom_file_chooser_dialog_container_box);
#line 238 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_container_box = _tmp6_;
#line 234 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (container);
#line 234 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (tmp);
#line 1684 "FileChooserDialog.c"
}


static Block6Data* block6_data_ref (Block6Data* _data6_) {
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	return _data6_;
#line 1693 "FileChooserDialog.c"
}


static void block6_data_unref (void * _userdata_) {
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data6_->combo_box);
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block6Data, _data6_);
#line 1706 "FileChooserDialog.c"
	}
}


static void __lambda11_ (Block6Data* _data6_, GtkFileFilter* filter) {
	GtkFileFilter* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GtkComboBoxText* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 253 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (filter != NULL);
#line 254 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = filter;
#line 254 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_file_filter_get_name (_tmp0_);
#line 254 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _data6_->combo_box;
#line 254 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = gtk_combo_box_text_get_active_text (_tmp2_);
#line 254 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = _tmp3_;
#line 254 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = g_strcmp0 (_tmp1_, _tmp4_) == 0;
#line 254 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp4_);
#line 254 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	if (_tmp5_) {
#line 1736 "FileChooserDialog.c"
		GtkFileChooser* _tmp6_ = NULL;
		GtkFileFilter* _tmp7_ = NULL;
#line 255 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = custom_file_chooser_dialog_chooser;
#line 255 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = filter;
#line 255 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		gtk_file_chooser_set_filter (_tmp6_, _tmp7_);
#line 1745 "FileChooserDialog.c"
	}
}


static void ___lambda11__gfunc (gconstpointer data, gpointer self) {
#line 253 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	__lambda11_ (self, (GtkFileFilter*) data);
#line 1753 "FileChooserDialog.c"
}


static void ___lambda10_ (Block6Data* _data6_) {
	GtkFileChooser* _tmp0_ = NULL;
	GSList* _tmp1_ = NULL;
	GSList* _tmp2_ = NULL;
#line 253 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser;
#line 253 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_file_chooser_list_filters (_tmp0_);
#line 253 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 253 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_slist_foreach (_tmp2_, ___lambda11__gfunc, _data6_);
#line 253 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_slist_free0 (_tmp2_);
#line 1771 "FileChooserDialog.c"
}


static void ____lambda10__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 252 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	___lambda10_ (self);
#line 1778 "FileChooserDialog.c"
}


static void ___lambda12_ (Block6Data* _data6_, GtkFileFilter* filter) {
	GtkComboBoxText* _tmp0_ = NULL;
	GtkFileFilter* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 259 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (filter != NULL);
#line 260 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = _data6_->combo_box;
#line 260 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = filter;
#line 260 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = gtk_file_filter_get_name (_tmp1_);
#line 260 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	gtk_combo_box_text_append_text (_tmp0_, _tmp2_);
#line 1796 "FileChooserDialog.c"
}


static void ____lambda12__gfunc (gconstpointer data, gpointer self) {
#line 259 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	___lambda12_ (self, (GtkFileFilter*) data);
#line 1803 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_setup_filter_box (void) {
	GSList* filters = NULL;
	GtkFileChooser* _tmp0_ = NULL;
	GSList* _tmp1_ = NULL;
	GSList* _tmp2_ = NULL;
	guint _tmp3_ = 0U;
#line 242 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser;
#line 242 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_file_chooser_list_filters (_tmp0_);
#line 242 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	filters = _tmp1_;
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = filters;
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = g_slist_length (_tmp2_);
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	if (_tmp3_ > ((guint) 0)) {
#line 1825 "FileChooserDialog.c"
		Block6Data* _data6_;
		GtkComboBoxText* _tmp4_ = NULL;
		GtkFileChooser* _tmp5_ = NULL;
		GtkFileChooserAction _tmp6_ = 0;
		GtkComboBoxText* _tmp9_ = NULL;
		GSList* _tmp10_ = NULL;
		GtkComboBoxText* _tmp11_ = NULL;
		GtkGrid* grid = NULL;
		GtkGrid* _tmp12_ = NULL;
		GtkGrid* _tmp13_ = NULL;
		GtkGrid* _tmp14_ = NULL;
		GtkComboBoxText* _tmp15_ = NULL;
		GtkBox* _tmp16_ = NULL;
		GtkGrid* _tmp17_ = NULL;
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_data6_ = g_slice_new0 (Block6Data);
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_data6_->_ref_count_ = 1;
#line 244 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_filters_available = TRUE;
#line 245 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 245 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp4_);
#line 245 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_data6_->combo_box = _tmp4_;
#line 247 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = custom_file_chooser_dialog_chooser;
#line 247 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = gtk_file_chooser_get_action (_tmp5_);
#line 247 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		if (_tmp6_ == GTK_FILE_CHOOSER_ACTION_SAVE) {
#line 1858 "FileChooserDialog.c"
			GtkComboBoxText* _tmp7_ = NULL;
#line 248 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			_tmp7_ = _data6_->combo_box;
#line 248 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			gtk_widget_set_margin_top ((GtkWidget*) _tmp7_, 8);
#line 1864 "FileChooserDialog.c"
		} else {
			GtkComboBoxText* _tmp8_ = NULL;
#line 250 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			_tmp8_ = _data6_->combo_box;
#line 250 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
			gtk_widget_set_margin_top ((GtkWidget*) _tmp8_, 4);
#line 1871 "FileChooserDialog.c"
		}
#line 252 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = _data6_->combo_box;
#line 252 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp9_, "changed", (GCallback) ____lambda10__gtk_combo_box_changed, block6_data_ref (_data6_), (GClosureNotify) block6_data_unref, 0);
#line 259 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp10_ = filters;
#line 259 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		g_slist_foreach (_tmp10_, ____lambda12__gfunc, _data6_);
#line 263 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp11_ = _data6_->combo_box;
#line 263 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		gtk_combo_box_set_active ((GtkComboBox*) _tmp11_, 0);
#line 265 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp12_ = (GtkGrid*) gtk_grid_new ();
#line 265 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp12_);
#line 265 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		grid = _tmp12_;
#line 266 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp13_ = grid;
#line 266 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		gtk_widget_set_margin_start ((GtkWidget*) _tmp13_, 5);
#line 267 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp14_ = grid;
#line 267 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = _data6_->combo_box;
#line 267 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp14_, (GtkWidget*) _tmp15_);
#line 268 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp16_ = custom_file_chooser_dialog_container_box;
#line 268 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_tmp17_ = grid;
#line 268 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp16_, (GtkWidget*) _tmp17_);
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (grid);
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		block6_data_unref (_data6_);
#line 243 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
		_data6_ = NULL;
#line 1913 "FileChooserDialog.c"
	}
#line 241 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_slist_free0 (filters);
#line 1917 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_class_init (CustomFileChooserDialogClass * klass) {
#line 22 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_parent_class = g_type_class_peek_parent (klass);
#line 22 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	g_type_class_add_private (klass, sizeof (CustomFileChooserDialogPrivate));
#line 22 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = custom_file_chooser_dialog_finalize;
#line 1928 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_instance_init (CustomFileChooserDialog * self) {
	GPtrArray* _tmp0_ = NULL;
	GeeArrayList* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 22 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	self->priv = CUSTOM_FILE_CHOOSER_DIALOG_GET_PRIVATE (self);
#line 42 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = g_ptr_array_new_full ((guint) 0, _g_free0_);
#line 42 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	self->priv->forward_path_list = _tmp0_;
#line 43 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 43 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	self->priv->history = _tmp1_;
#line 48 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = g_strdup ("");
#line 48 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	self->priv->previous_path = _tmp2_;
#line 1950 "FileChooserDialog.c"
}


static void custom_file_chooser_dialog_finalize (GObject* obj) {
	CustomFileChooserDialog * self;
#line 22 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialog);
#line 42 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_ptr_array_unref0 (self->priv->forward_path_list);
#line 43 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (self->priv->history);
#line 48 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	_g_free0 (self->priv->previous_path);
#line 22 "/usr/src/RPM/BUILD/pantheon-files-0.2.4/filechooser-module/FileChooserDialog.vala"
	G_OBJECT_CLASS (custom_file_chooser_dialog_parent_class)->finalize (obj);
#line 1966 "FileChooserDialog.c"
}


GType custom_file_chooser_dialog_get_type (void) {
	static volatile gsize custom_file_chooser_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&custom_file_chooser_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (CustomFileChooserDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) custom_file_chooser_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (CustomFileChooserDialog), 0, (GInstanceInitFunc) custom_file_chooser_dialog_instance_init, NULL };
		GType custom_file_chooser_dialog_type_id;
		custom_file_chooser_dialog_type_id = g_type_register_static (G_TYPE_OBJECT, "CustomFileChooserDialog", &g_define_type_info, 0);
		g_once_init_leave (&custom_file_chooser_dialog_type_id__volatile, custom_file_chooser_dialog_type_id);
	}
	return custom_file_chooser_dialog_type_id__volatile;
}



